import { BaseProvider } from '#templates/base/provider';
import { AuthAuditLogsDefault } from '#models/AuthAuditLogsDefault';

export class AuthAuditLogsDefaultProvider extends BaseProvider<AuthAuditLogsDefault> {
	public static instance: AuthAuditLogsDefaultProvider;

	public static getInstance(): AuthAuditLogsDefaultProvider {
		AuthAuditLogsDefaultProvider.instance ??= new AuthAuditLogsDefaultProvider();
		return AuthAuditLogsDefaultProvider.instance;
	}

	public static get model() {
		return AuthAuditLogsDefault;
	}

	constructor() {
		super('AuthAuditLogsDefault');
	}
}
